ClusterManagementServiceBuilder (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.cluster.client, class: ClusterManagementServiceBuilder

Package org.apache.geode.management.cluster.client

# Class ClusterManagementServiceBuilder

java.lang.Object
org.apache.geode.management.service.internal.api.BaseManagementServiceBuilder<ClusterManagementServiceBuilder>
org.apache.geode.management.cluster.client.ClusterManagementServiceBuilder

@Experimental public class ClusterManagementServiceBuilder extends org.apache.geode.management.service.internal.api.BaseManagementServiceBuilder<ClusterManagementServiceBuilder>
This builder facilitates creating a ClusterManagementService using either (or both) a `ConnectionConfig` or a `ClusterManagementServiceTransport`. For typical usage it should be sufficient to only use a `ClusterManagementServiceConnectionConfig`. For example:

     ClusterManagementService service = new ClusterManagementServiceBuilder()
         .setPort(7070)
         .setHost("localhost")
         .build();

If no transport is set a public transport of `RestTemplateClusterManagementServiceTransport` will be used and configured with the provided config.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClusterManagementServiceBuilder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected ConnectionConfig`
  `createConnectionConfig()`
  `ClusterManagementServiceBuilder`
  `setHost(String hostname)`
  `ClusterManagementServiceBuilder`
  `setPort(int port)`

  ### Methods inherited from class org.apache.geode.management.service.internal.api.BaseManagementServiceBuilder

  `build, configureConnectionConfig, setAuthToken, setFollowRedirects, setHostnameVerifier, setPassword, setSslContext, setTransport, setUsername`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClusterManagementServiceBuilder

    public ClusterManagementServiceBuilder()

- ## Method Details

  - ### setHost

    public ClusterManagementServiceBuilder setHost(String hostname)

  - ### setPort

    public ClusterManagementServiceBuilder setPort(int port)

  - ### createConnectionConfig

    protected ConnectionConfig createConnectionConfig()
    Specified by:
      `createConnectionConfig` in class `org.apache.geode.management.service.internal.api.BaseManagementServiceBuilder<ClusterManagementServiceBuilder>`